Bug 115164 - Missing -Wformat flag on compilation ?
Summary: Missing -Wformat flag on compilation ?
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: mgetty   
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-07 14:22 UTC by d.binderman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-20 18:41:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2004-02-07 14:22:08 UTC
Description of problem:

I just tried to compile package mgetty-1.1.30-4 from Fedora.

The compiler said

1.

locks.c(193): warning #267: the format string requires additional
arguments

The source code is

        lprintf( L_ERROR, "can't open %d for read/write" );

Missing trailing parameter.

2.

shell.c(33): warning #268: the format string ends before this argument

The source code is

          lprintf(L_MESG, "%s: Executing shell %s", program_name,
shell_script,
cvd.voice_shell.d.p);

Two %s, three parameters.

3.

answer.c(578): warning #267: the format string requires additional
arguments

The source code is

               lprintf(L_WARN, "%s: Beep command failed");

Duplicate.

4.

answer.c(757): warning #267: the format string requires additional
arguments

Source code is

                    lprintf(L_WARN, "%s: Beep command failed");

Duplicate.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jason Vas Dias 2004-08-20 18:41:38 UTC
Just clearing out old bugs here.
This is now fixed in mgetty-1.1.31-2 
(printf statements now supply correct number of arguments).



Note You need to log in before you can comment on or make changes to this bug.